commit:     b576e37305f28fd5e3c363c98d1ffcbdf1fae54e
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Sun Sep 24 18:13:56 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Sep 28 09:42:56 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b576e373

media-video/mpv: verbump to 0.27.0

Closes: https://bugs.gentoo.org/630556
Closes: https://github.com/gentoo/gentoo/pull/5787
Package-Manager: Portage-2.3.10, Repoman-2.3.3

 media-video/mpv/Manifest                           |   1 +
 .../0.27.0/mpv-0.27.0-fix-hwdec-autoprobing.patch  |  50 +++
 .../mpv-0.27.0-fix-wrong-colors-with-hwdec.patch   |  44 +++
 ...pv-0.27.0-remove-duplicate-android-option.patch |  27 ++
 media-video/mpv/mpv-0.27.0.ebuild                  | 370 +++++++++++++++++++++
 5 files changed, 492 insertions(+)

diff --git a/media-video/mpv/Manifest b/media-video/mpv/Manifest
index 55ba0d3a8af..07e19a528ed 100644
--- a/media-video/mpv/Manifest
+++ b/media-video/mpv/Manifest
@@ -2,5 +2,6 @@ DIST mpv-0.18.0.tar.gz 2758960 SHA256 
b656638d4f6bce2621baaacb60d8be384aa492fcd8
 DIST mpv-0.25.0-patches-r2.tar.xz 11036 SHA256 
34440d419e95983f50dc97c323737c19891234478566bdf613ec9db81fb0e0e7 SHA512 
fc8d2a23dff27131d2c18d3f91861ec6e6d5240e6531d1a04c06ebef8d5467250c4f131d9faee802842e1ea485dbf350b43a3eebcc13c230cd45ff875fc855e2
 WHIRLPOOL 
9e1540e8e4b2a2a8e70861dd9eb7f32281549b9c418ea716da697e5de39118b0806998f40958e84d868e00854a4bead929ef9958de0becc120fa5f525b34ccab
 DIST mpv-0.25.0.tar.gz 2874584 SHA256 
07423ffad6921ec4da32f703cd7fbfb27012301dcb736ac8542ac8e6083b0bce SHA512 
eefc574e2995ddf6bd15c9b62986a5ca277c30949b036d57a11bbfb796c11c1e6dd7c313abd91a909dd98ca0f2b0be29ec6b980d0287a5891b42b0ffba926cbf
 WHIRLPOOL 
4c5225040ed8793de5daa00a4bb5cf2754fb877c73055dbe4bed92d9fa1bb3f5e67d341c698658e9f10e183084bbe691c8bbb90960e16358b9ffdaa58b11bf2b
 DIST mpv-0.26.0.tar.gz 2916212 SHA256 
daf3ef358d5f260f2269f7caabce27f446c291457ec330077152127133b71b46 SHA512 
fd772b4765317eb1ea3b54f12b86e0ac6c4d5e9d16895eb5bebe2e074a01f6b790981b9b34a87d9b23e4291149d3a7154b09fba4a259cec1949a6aa88d6ddec7
 WHIRLPOOL 
b3648d3f67565c54923fda0c1989dfa94b02b844152a558d531d936c94563ab32654cc59576c39fef8614901fe51afafd2029f9465ec1a15696a093d1bdb563f
+DIST mpv-0.27.0.tar.gz 2956816 SHA256 
341d8bf18b75c1f78d5b681480b5b7f5c8b87d97a0d4f53a5648ede9c219a49c SHA512 
22738f907d84d362095773972f685e3b03ab4c8172a22ddede290fc221a83ab9135b96f8b18191dabe842b2963f68983929cf065097287fc1a054a7d5f1d0ae4
 WHIRLPOOL 
53ea0f8f1995b9517954860f4a0c2c1acb797bbd8bf9311c2f6a5998d45869a202e45aa1c3198e2b489b3efe210f58654e690a8a9ec15b4fd88f320ad48c8cb4
 DIST waf-1.8.12 97567 SHA256 
01bf2beab2106d1558800c8709bc2c8e496d3da4a2ca343fe091f22fca60c98b SHA512 
8e47112abb134f965f15a27a600b4453cad3075afb5dadc17f2f6dac33d80ec68b679ac0ebc5f8a0245cbd07ae9fc7b899e69afc1bd021cce74e7af2ab457939
 WHIRLPOOL 
c36d37c2d8c08e4048b4800f511611af5cf534304fcb58388ca491ff308bfcbcdd959d153edfd6ff8c118404e7293d8b786e43b07486139bf915a82aa75d792b
 DIST waf-1.9.8 100685 SHA256 
167dc42bab6d5bd823b798af195420319cb5c9b571e00db7d83df2a0fe1f4dbf SHA512 
e7493767f65deeb38aa162adef22adf60ebbd038410e9cdf4fe6f0de8c43395dbbba14962aa2c3855e1277136085fc22ad12ebfb8ac4e76f16358296039b8ea2
 WHIRLPOOL 
447b6936b8bd5904d85001a96bdcfd0d517f92ff0a859f8a63efd032a418c1b335578266d0f7ce0c5f71ffc7b81643d18e21c14981502153e2d586a9ce152c3a

diff --git 
a/media-video/mpv/files/0.27.0/mpv-0.27.0-fix-hwdec-autoprobing.patch 
b/media-video/mpv/files/0.27.0/mpv-0.27.0-fix-hwdec-autoprobing.patch
new file mode 100644
index 00000000000..e83be2250e7
--- /dev/null
+++ b/media-video/mpv/files/0.27.0/mpv-0.27.0-fix-hwdec-autoprobing.patch
@@ -0,0 +1,50 @@
+commit b881881dbd38a1720a9f8401fd1baafdd0dfccc0
+Author: wm4 <wm4@nowhere>
+Date:   Tue Sep 19 18:33:37 2017 +0200
+
+Revert "vd_lavc: change auto-probe order to prefer cuda over vdpau-copy"
+
+This reverts commit 96462040ec79b353457b64949f96fad30bd6e988.
+
+I guess the autoprobing is still too primitive to handle this well. What
+it really should be trying is initializing the wrapper decoder, and if
+that doesn't work, try another method. This is complicated by hwaccels
+initializing in a delayed way, so there is no easy solution yet.
+
+Probably fixes #4865.
+
+diff --git a/video/decode/vd_lavc.c b/video/decode/vd_lavc.c
+index 476beeb9e..e08246a29 100644
+--- a/video/decode/vd_lavc.c
++++ b/video/decode/vd_lavc.c
+@@ -261,11 +261,16 @@ static const struct vd_lavc_hwdec *const hwdec_list[] = {
+ #endif
+ #if HAVE_VDPAU_HWACCEL
+     &mp_vd_lavc_vdpau,
++    &mp_vd_lavc_vdpau_copy,
+ #endif
+ #if HAVE_VIDEOTOOLBOX_HWACCEL
+     &mp_vd_lavc_videotoolbox,
+     &mp_vd_lavc_videotoolbox_copy,
+ #endif
++#if HAVE_VAAPI_HWACCEL
++    &mp_vd_lavc_vaapi,
++    &mp_vd_lavc_vaapi_copy,
++#endif
+ #if HAVE_D3D_HWACCEL
+     &mp_vd_lavc_d3d11va,
+
+@@ -285,13 +290,6 @@ static const struct vd_lavc_hwdec *const hwdec_list[] = {
+     &mp_vd_lavc_cuda_old,
+  #endif
+     &mp_vd_lavc_cuda_copy,
+-#endif
+-#if HAVE_VDPAU_HWACCEL
+-    &mp_vd_lavc_vdpau_copy,
+-#endif
+-#if HAVE_VAAPI_HWACCEL
+-    &mp_vd_lavc_vaapi,
+-    &mp_vd_lavc_vaapi_copy,
+ #endif
+     &mp_vd_lavc_crystalhd,
+     NULL

diff --git 
a/media-video/mpv/files/0.27.0/mpv-0.27.0-fix-wrong-colors-with-hwdec.patch 
b/media-video/mpv/files/0.27.0/mpv-0.27.0-fix-wrong-colors-with-hwdec.patch
new file mode 100644
index 00000000000..f7d3129d855
--- /dev/null
+++ b/media-video/mpv/files/0.27.0/mpv-0.27.0-fix-wrong-colors-with-hwdec.patch
@@ -0,0 +1,44 @@
+commit 810990a7465f31ee5ff5e29ebea1fb783e5ed502
+Author: wm4 <wm4@nowhere>
+Date:   Tue Sep 19 18:59:01 2017 +0200
+
+mp_image: always copy color attributes on hw download
+
+It was noticed that -copy hwdec modes typically dropped the
+chroma_location field. This happened because the attributes on hw
+download are copied with mp_image_copy_attributes(), which tries to copy
+these parameters only if src and dst were both YUV (in an attempt to
+copy parameters only if it makes sense).
+
+But hardware formats did not have the YUV flag set (anymore?), and code
+shouldn't attempt to check the flag in this way anyway. Drop the check,
+and always copy the whole color metadata struct. There is a call to
+mp_image_params_guess_csp() below, which tries to unset nonsense
+metadata if it was copied from a YUV format to RGB. This function would
+also do the right thing for hw formats (although for the cited bug only
+the software case matters).
+
+Fixes #4804.
+
+diff --git a/video/mp_image.c b/video/mp_image.c
+index 7180e2be5..5aa564775 100644
+--- a/video/mp_image.c
++++ b/video/mp_image.c
+@@ -525,15 +525,8 @@ void mp_image_copy_attributes(struct mp_image *dst, 
struct mp_image *src)
+         dst->params.p_w = src->params.p_w;
+         dst->params.p_h = src->params.p_h;
+     }
+-    dst->params.color.primaries = src->params.color.primaries;
+-    dst->params.color.gamma = src->params.color.gamma;
+-    dst->params.color.sig_peak = src->params.color.sig_peak;
+-    dst->params.color.light = src->params.color.light;
+-    if ((dst->fmt.flags & MP_IMGFLAG_YUV) == (src->fmt.flags & 
MP_IMGFLAG_YUV)) {
+-        dst->params.color.space = src->params.color.space;
+-        dst->params.color.levels = src->params.color.levels;
+-        dst->params.chroma_location = src->params.chroma_location;
+-    }
++    dst->params.color = src->params.color;
++    dst->params.chroma_location = src->params.chroma_location;
+     dst->params.spherical = src->params.spherical;
+     mp_image_params_guess_csp(&dst->params); // ensure colorspace consistency
+     if ((dst->fmt.flags & MP_IMGFLAG_PAL) && (src->fmt.flags & 
MP_IMGFLAG_PAL)) {

diff --git 
a/media-video/mpv/files/0.27.0/mpv-0.27.0-remove-duplicate-android-option.patch 
b/media-video/mpv/files/0.27.0/mpv-0.27.0-remove-duplicate-android-option.patch
new file mode 100644
index 00000000000..3f2a5d1f56a
--- /dev/null
+++ 
b/media-video/mpv/files/0.27.0/mpv-0.27.0-remove-duplicate-android-option.patch
@@ -0,0 +1,27 @@
+commit 8810c1fc050347e1bef0d3eb89edd30c8e840648
+Author: Ilya Tumaykin <[email protected]>
+Date:   Sun Sep 17 21:54:37 2017 +0300
+
+build: remove duplicate android option after 72a8120da
+
+The first one (line 140) comes from 69650851f8 and is the correct one.
+The second one (line 731) comes from 72a8120daa and slipped in with the
+revert commit.
+
+Remove the second one.
+
+diff --git a/wscript b/wscript
+index 9d885884d..9fe5b0bc8 100644
+--- a/wscript
++++ b/wscript
+@@ -727,10 +727,6 @@ video_output_features = [
+         'desc': 'Direct3D support',
+         'deps': [ 'win32-desktop' ],
+         'func': check_cc(header_name='d3d9.h'),
+-    }, {
+-        'name': '--android',
+-        'desc': 'Android support',
+-        'func': check_statement('android/api-level.h', '(void)__ANDROID__'),  
# arbitrary android-specific header
+     }, {
+         # We need MMAL/bcm_host/dispmanx APIs. Also, most RPI distros require
+         # every project to hardcode the paths to the include directories. 
Also,

diff --git a/media-video/mpv/mpv-0.27.0.ebuild 
b/media-video/mpv/mpv-0.27.0.ebuild
new file mode 100644
index 00000000000..00e654a222a
--- /dev/null
+++ b/media-video/mpv/mpv-0.27.0.ebuild
@@ -0,0 +1,370 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_REQ_USE='threads(+)'
+
+WAF_PV=1.9.8
+
+inherit gnome2-utils pax-utils python-r1 toolchain-funcs versionator waf-utils 
xdg-utils
+
+DESCRIPTION="Media player based on MPlayer and mplayer2"
+HOMEPAGE="https://mpv.io/";
+
+if [[ ${PV} != *9999* ]]; then
+       SRC_URI="https://github.com/mpv-player/mpv/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
+       DOCS=( RELEASE_NOTES )
+else
+       EGIT_REPO_URI="https://github.com/mpv-player/mpv.git";
+       inherit git-r3
+fi
+SRC_URI+=" https://waf.io/waf-${WAF_PV}";
+DOCS+=( README.md DOCS/{client-api,interface}-changes.rst )
+
+# See Copyright in sources and Gentoo bug 506946. Waf is BSD, libmpv is ISC.
+LICENSE="LGPL-2.1+ GPL-2+ BSD ISC samba? ( GPL-3+ )"
+SLOT="0"
+IUSE="+alsa aqua archive bluray cdda +cli coreaudio cplugins cuda doc drm dvb
+       dvd +egl encode gbm +iconv jack javascript jpeg lcms +libass libav 
libcaca
+       libmpv +lua luajit openal +opengl oss pulseaudio raspberry-pi rubberband
+       samba sdl selinux test tools +uchardet v4l vaapi vdpau wayland +X +xv 
zlib
+       zsh-completion"
+
+REQUIRED_USE="
+       || ( cli libmpv )
+       aqua? ( opengl )
+       cuda? ( !libav opengl )
+       egl? ( || ( gbm X wayland ) )
+       gbm? ( drm egl opengl )
+       lcms? ( opengl )
+       luajit? ( lua )
+       opengl? ( || ( aqua egl X raspberry-pi !cli ) )
+       raspberry-pi? ( opengl )
+       test? ( opengl )
+       tools? ( cli )
+       uchardet? ( iconv )
+       v4l? ( || ( alsa oss ) )
+       vaapi? ( || ( gbm X wayland ) )
+       vdpau? ( X )
+       wayland? ( egl )
+       X? ( egl? ( opengl ) )
+       xv? ( X )
+       zsh-completion? ( cli )
+       ${PYTHON_REQUIRED_USE}
+"
+
+COMMON_DEPEND="
+       !libav? ( >=media-video/ffmpeg-3.2.2:0=[encode?,threads,vaapi?,vdpau?] )
+       libav? ( >=media-video/libav-12:0=[encode?,threads,vaapi?,vdpau?] )
+       alsa? ( >=media-libs/alsa-lib-1.0.18 )
+       archive? ( >=app-arch/libarchive-3.0.0:= )
+       bluray? ( >=media-libs/libbluray-0.3.0:= )
+       cdda? ( dev-libs/libcdio-paranoia )
+       cuda? ( >=media-video/ffmpeg-3.3:0 )
+       drm? ( x11-libs/libdrm )
+       dvd? (
+               >=media-libs/libdvdnav-4.2.0
+               >=media-libs/libdvdread-4.1.0
+       )
+       egl? ( media-libs/mesa[egl,gbm(-)?,wayland(-)?] )
+       iconv? (
+               virtual/libiconv
+               uchardet? ( app-i18n/uchardet )
+       )
+       jack? ( virtual/jack )
+       javascript? ( >=dev-lang/mujs-1.0.0 )
+       jpeg? ( virtual/jpeg:0 )
+       lcms? ( >=media-libs/lcms-2.6:2 )
+       libass? (
+               >=media-libs/libass-0.12.1:=[fontconfig,harfbuzz]
+               virtual/ttf-fonts
+       )
+       libcaca? ( >=media-libs/libcaca-0.99_beta18 )
+       lua? (
+               !luajit? ( <dev-lang/lua-5.3:= )
+               luajit? ( dev-lang/luajit:2 )
+       )
+       openal? ( >=media-libs/openal-1.13 )
+       pulseaudio? ( media-sound/pulseaudio )
+       raspberry-pi? ( >=media-libs/raspberrypi-userland-0_pre20160305-r1 )
+       rubberband? ( >=media-libs/rubberband-1.8.0 )
+       samba? ( net-fs/samba )
+       sdl? ( media-libs/libsdl2[sound,threads,video] )
+       v4l? ( media-libs/libv4l )
+       vaapi? (
+               !libav? ( >=media-video/ffmpeg-3.3:0 )
+               libav? ( >=media-video/libav-13:0 )
+               x11-libs/libva[drm?,X?,wayland?]
+       )
+       vdpau? (
+               !libav? ( >=media-video/ffmpeg-3.3:0 )
+               libav? ( >=media-video/libav-13:0 )
+               x11-libs/libvdpau
+       )
+       wayland? (
+               >=dev-libs/wayland-1.6.0
+               >=x11-libs/libxkbcommon-0.3.0
+       )
+       X? (
+               x11-libs/libX11
+               x11-libs/libXScrnSaver
+               x11-libs/libXext
+               x11-libs/libXinerama
+               x11-libs/libXrandr
+               opengl? (
+                       x11-libs/libXdamage
+                       virtual/opengl
+               )
+               xv? ( x11-libs/libXv )
+       )
+       zlib? ( sys-libs/zlib )
+"
+DEPEND="${COMMON_DEPEND}
+       ${PYTHON_DEPS}
+       dev-python/docutils
+       virtual/pkgconfig
+       doc? ( dev-python/rst2pdf )
+       dvb? ( virtual/linuxtv-dvb-headers )
+       test? ( >=dev-util/cmocka-1.0.0 )
+       v4l? ( virtual/os-headers )
+       zsh-completion? ( dev-lang/perl )
+"
+RDEPEND="${COMMON_DEPEND}
+       cuda? ( x11-drivers/nvidia-drivers[X] )
+       selinux? ( sec-policy/selinux-mplayer )
+       tools? ( ${PYTHON_DEPS} )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-0.19.0-make-ffmpeg-version-check-non-fatal.patch"
+       "${FILESDIR}/${PN}-0.23.0-make-libavdevice-check-accept-libav.patch"
+)
+
+pkg_setup() {
+       [[ ${MERGE_TYPE} != "binary" ]] && python_setup
+}
+
+src_prepare() {
+       cp "${DISTDIR}/waf-${WAF_PV}" "${S}"/waf || die
+       chmod +x "${S}"/waf || die
+       eapply "${FILESDIR}/${PV}"
+       default_src_prepare
+}
+
+src_configure() {
+       tc-export CC PKG_CONFIG AR
+
+       if tc-is-cross-compiler && use raspberry-pi; then
+               export 
EXTRA_PKG_CONFIG_LIBDIR="${SYSROOT%/}${EPREFIX}/opt/vc/lib/pkgconfig"
+               # Drop next line when Gentoo bug 607344 is fixed or if you 
fixed it locally.
+               die "${PN} can't be cross built with raspberry-pi USE enabled. 
See Gentoo bug 607344."
+       fi
+
+       local mywafargs=(
+               --confdir="${EPREFIX}/etc/${PN}"
+               --docdir="${EPREFIX}/usr/share/doc/${PF}"
+               --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+
+               $(usex cli '' '--disable-cplayer')
+               $(use_enable libmpv libmpv-shared)
+
+               --disable-libmpv-static
+               --disable-static-build
+               # See deep down below for build-date.
+               --disable-optimize              # Don't add '-O2' to CFLAGS.
+               --disable-debug-build   # Don't add '-g' to CFLAGS.
+               --enable-html-build
+
+               $(use_enable doc pdf-build)
+               $(use_enable cplugins)
+               $(use_enable zsh-completion zsh-comp)
+               $(use_enable test)
+
+               --disable-android
+               $(use_enable iconv)
+               $(use_enable samba libsmbclient)
+               $(use_enable lua)
+               $(usex luajit '--lua=luajit' '')
+               $(use_enable javascript)
+               $(use_enable libass)
+               $(use_enable libass libass-osd)
+               $(use_enable zlib)
+               $(use_enable encode encoding)
+               $(use_enable bluray libbluray)
+               $(use_enable dvd dvdread)
+               $(use_enable dvd dvdnav)
+               $(use_enable cdda)
+               $(use_enable uchardet)
+               $(use_enable rubberband)
+               $(use_enable lcms lcms2)
+               --disable-vapoursynth   # Only available in overlays.
+               --disable-vapoursynth-lazy
+               $(use_enable archive libarchive)
+
+               --enable-libavdevice
+
+               # Audio outputs:
+               $(use_enable sdl sdl2)  # Listed under audio, but also includes 
video.
+               --disable-sdl1
+               $(use_enable oss oss-audio)
+               --disable-rsound                # Only available in overlays.
+               --disable-sndio                 # Only available in overlays.
+               $(use_enable pulseaudio pulse)
+               $(use_enable jack)
+               $(use_enable openal)
+               --disable-opensles
+               $(use_enable alsa)
+               $(use_enable coreaudio)
+
+               # Video outputs:
+               $(use_enable aqua cocoa)
+               $(use_enable drm)
+               $(use_enable gbm)
+               $(use_enable wayland)
+               $(use_enable X x11)
+               $(use_enable xv)
+               $(usex opengl "$(use_enable aqua gl-cocoa)" 
'--disable-gl-cocoa')
+               $(usex opengl "$(use_enable X gl-x11)" '--disable-gl-x11')
+               $(usex egl "$(use_enable X egl-x11)" '--disable-egl-x11')
+               $(usex egl "$(use_enable gbm egl-drm)" '--disable-egl-drm')
+               $(usex opengl "$(use_enable wayland gl-wayland)" 
'--disable-gl-wayland')
+               $(use_enable vdpau)
+               $(usex vdpau "$(use_enable opengl vdpau-gl-x11)" 
'--disable-vdpau-gl-x11')
+               $(use_enable vaapi)             # See below for vaapi-glx, 
vaapi-x-egl.
+               $(usex vaapi "$(use_enable X vaapi-x11)" '--disable-vaapi-x11')
+               $(usex vaapi "$(use_enable wayland vaapi-wayland)" 
'--disable-vaapi-wayland')
+               $(usex vaapi "$(use_enable gbm vaapi-drm)" 
'--disable-vaapi-drm')
+               $(use_enable libcaca caca)
+               $(use_enable jpeg)
+               $(use_enable raspberry-pi rpi)
+               $(usex libmpv "$(use_enable opengl plain-gl)" 
'--disable-plain-gl')
+               --disable-mali-fbdev    # Only available in overlays.
+               $(usex opengl '' '--disable-gl')
+
+               # HWaccels:
+               # Automagic Video Toolbox HW acceleration. See Gentoo bug 
577332.
+               $(use_enable vaapi vaapi-hwaccel)
+               $(use_enable vdpau vdpau-hwaccel)
+               $(use_enable cuda cuda-hwaccel)
+
+               # TV features:
+               $(use_enable v4l tv)
+               $(use_enable v4l tv-v4l2)
+               $(use_enable v4l libv4l2)
+               $(use_enable v4l audio-input)
+               $(use_enable dvb dvbin)
+
+               # Miscellaneous features:
+               --disable-apple-remote  # Needs testing first. See Gentoo bug 
577332.
+       )
+
+       if use vaapi && use X; then
+               mywafargs+=(
+                       $(use_enable opengl vaapi-glx)
+                       $(use_enable egl vaapi-x-egl)
+               )
+       fi
+
+       # Create reproducible non-live builds.
+       [[ ${PV} != *9999* ]] && mywafargs+=(--disable-build-date)
+
+       waf-utils_src_configure "${mywafargs[@]}"
+}
+
+src_install() {
+       waf-utils_src_install
+
+       if use lua; then
+               insinto /usr/share/${PN}
+               doins -r TOOLS/lua
+       fi
+
+       if use cli && use luajit; then
+               pax-mark -m "${ED}"usr/bin/${PN}
+       fi
+
+       if use tools; then
+               dobin TOOLS/{mpv_identify.sh,umpv}
+               newbin TOOLS/idet.sh mpv_idet.sh
+               python_replicate_script "${ED}"usr/bin/umpv
+       fi
+}
+
+pkg_postinst() {
+       local rv softvol_0_18_1=0 osc_0_21_0=0 txtsubs_0_24_0=0 opengl_0_25_0=0
+
+       for rv in ${REPLACING_VERSIONS}; do
+               version_compare ${rv} 0.18.1
+               [[ $? -eq 1 ]] && softvol_0_18_1=1
+               version_compare ${rv} 0.21.0
+               [[ $? -eq 1 ]] && osc_0_21_0=1
+               version_compare ${rv} 0.24.0
+               [[ $? -eq 1 ]] && txtsubs_0_24_0=1
+               version_compare ${rv} 0.25.0
+               [[ $? -eq 1 ]] && ! use opengl && opengl_0_25_0=1
+       done
+
+       if [[ ${softvol_0_18_1} -eq 1 ]]; then
+               elog "Since version 0.18.1 the software volume control is 
always enabled."
+               elog "This means that volume controls don't change the system 
volume,"
+               elog "e.g. per-application volume with PulseAudio."
+               elog "If you want to restore the previous behaviour, please 
refer to"
+               elog
+               elog "https://wiki.gentoo.org/wiki/Mpv#Volume_in_0.18.1";
+               elog
+       fi
+
+       if [[ ${osc_0_21_0} -eq 1 ]]; then
+               elog "In version 0.21.0 the default OSC layout was changed."
+               elog "If you want to restore the previous layout, please refer 
to"
+               elog
+               elog "https://wiki.gentoo.org/wiki/Mpv#OSC_in_0.21.0";
+               elog
+       fi
+
+       if [[ ${txtsubs_0_24_0} -eq 1 ]]; then
+               elog "Since version 0.24.0 subtitles with .txt extension aren't 
autoloaded."
+               elog "If you want to restore the previous behaviour, please 
refer to"
+               elog
+               elog 
"https://wiki.gentoo.org/wiki/Mpv#Subtitles_with_.txt_extension_in_0.24.0";
+               elog
+       fi
+
+       if [[ ${opengl_0_25_0} -eq 1 ]]; then
+               elog "Since version 0.25.0 the 'opengl' USE flag is mapped to"
+               elog "the 'opengl' video output and no longer explicitly 
requires"
+               elog "X11 or Mac OS Aqua. Consider enabling the 'opengl' USE 
flag."
+       fi
+
+       if use cli && ! has_version 'app-shells/mpv-bash-completion'; then
+               elog "If you want to have command-line completion via 
bash-completion,"
+               elog "please install app-shells/mpv-bash-completion."
+       fi
+
+       if use cli && [[ -n ${REPLACING_VERSIONS} ]] && \
+               has_version 'app-shells/mpv-bash-completion'; then
+               elog "If command-line completion doesn't work after mpv update,"
+               elog "please rebuild app-shells/mpv-bash-completion."
+       fi
+
+       gnome2_icon_cache_update
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+       xdg_desktop_database_update
+}
+
+src_test() {
+       cd "${S}"/build/test || die
+       local test
+       for test in *; do
+               if [[ -x ${test} ]]; then
+                       ./"${test}" || die "Test suite failed"
+               fi
+       done
+}

Reply via email to